package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.TbSchoolMajor;
import org.springframework.stereotype.Repository;

/**
 * 学校专业Mapper接口
 * 
 * @author ruoyi
 * @date 2022-08-29
 */
@Repository
public interface TbSchoolMajorMapper 
{
    /**
     * 查询学校专业
     * 
     * @param id 学校专业主键
     * @return 学校专业
     */
    public TbSchoolMajor selectTbSchoolMajorById(Long id);

    /**
     * 查询学校专业列表
     * 
     * @param tbSchoolMajor 学校专业
     * @return 学校专业集合
     */
    public List<TbSchoolMajor> selectTbSchoolMajorList(TbSchoolMajor tbSchoolMajor);

    /**
     * 查询未通过审核或者待审核状态的数据
     * @param tbSchoolMajor
     * @return
     */
    public List<TbSchoolMajor> selectTbSchoolMajorNotPassList(TbSchoolMajor tbSchoolMajor);

    public List<TbSchoolMajor> selectMajorBySchoolId(Long id);

    /**
     * 新增学校专业
     * 
     * @param tbSchoolMajor 学校专业
     * @return 结果
     */
    public int insertTbSchoolMajor(TbSchoolMajor tbSchoolMajor);

    /**
     * 修改学校专业
     * 
     * @param tbSchoolMajor 学校专业
     * @return 结果
     */
    public int updateTbSchoolMajor(TbSchoolMajor tbSchoolMajor);

    public int updateTbSchoolMajorCheckResult(TbSchoolMajor tbSchoolMajor);

    /**
     * 删除学校专业
     * 
     * @param id 学校专业主键
     * @return 结果
     */
    public int deleteTbSchoolMajorById(Long id);
    public int deleteTbSchoolMajorBySchoolId(Long id);

    /**
     * 批量删除学校专业
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTbSchoolMajorByIds(String[] ids);

    public int deleteTbSchoolMajorBySchoolIds(String[] ids);

    public int deleteTbPerCollectByMajorId(Long id);

    public int deleteTbPerCollectByMajorIds(String[] ids);

    public List<TbSchoolMajor> selectSchoolMajorBySchoolId(Long schoolId);

    public List<TbSchoolMajor> selectDegreeBySchooIdAndMajorName(TbSchoolMajor tbSchoolMajor);
}
